import { Message } from "@prisma/client"
import React from "react"
import PostMessageForm from "./PostMessageForm";
import { prisma } from "@/prisma/db";

// Define a type for our props
interface MessageProps {
  data: Message[];
}

export default async function MessageList({data}:MessageProps) {

  const messages = await prisma.message.findMany()

    return (
        <div>
            Message List Page
            {messages.map((msg) => (
               <li key = {msg.id}> author: {msg.author} message: {msg.content} sentAt: {msg.sentAt?.toString()} </li>
            ))}

            <PostMessageForm data={messages}></PostMessageForm>
        </div>
    )
}

export async function getServerSideProps() {
  const formData = {description: 'sdfsdf', content: 'sdfsdf'}
  const response = await fetch('/api/messages', {
    method: 'POST',
    body: JSON.stringify(formData)
})
  console.log("answer:" + await response.json())

  const messages = await prisma.message.findMany()

  return {
      props: {
          data: messages
      }
  }
}